Subject: Re: bug#76934: 31.0.50; rectangle-mark-mode resets fringe-mode settings

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Mar 2025 15:25:15 +0200

> Date: Tue, 11 Mar 2025 08:06:40 +0000
> From:  the_wurfkreuz via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> If i set the fringe-mode with the 'minimal' option, then using the
> rectangle-mark-mode resets it.
> 
> Steps to reproduce:
> 
> 1. emacs -Q
> 2. In the scratch buffer evaluate this code:
> 
> (global-display-line-numbers-mode 1)
> (setq display-line-numbers 'visual
>       display-line-numbers-type 'relative)
> 
> 3. M-x fringe-mode (choose the minimal option)
> 4. M-x rectangle-mark-mode
> 
> You will see that the fringe area reappeared again.

I cannot reproduce this.  Maybe this is GTK-specific?  Or maybe I
don't understand what you mean by "fringe area reappeared"?

I made the fringe background be red, to make it easier spotted, and
performed your recipe: I see the same 1-pixel fringe before and after
I invoke rectangle-mark-mode.